/* SUIT version 2.3 */

#define THE_SCREEN_WIDTH 606
#define THE_SCREEN_HEIGHT 548
#define THE_SCREEN_DEPTH 7

#include "suit.h"


/*--------------------------------------------------------------------------------*/
/*                                                                                */
/*                                  NOTE:                                         */
/*                                                                                */
/*    This file contains all the permanent properties of this application's       */
/*    objects and is read in as a data file.  Compiling this file as part of      */
/*    your application "hard codes" your interface.  Please see "shipping"        */
/*    in the SUIT reference manual for further information.                       */
/*                                                                                */
/*                                                                                */
/*                              !! DANGER !!                                      */
/*                                                                                */
/*      This file is machine-generated, and its contents are very important.      */
/*                                                                                */
/*          If you must edit this file, do so with extreme caution!               */
/*                                                                                */
/*                              !! DANGER !!                                      */
/*                                                                                */
/*--------------------------------------------------------------------------------*/


extern void SUIT_interiorInitFromCode (char *programName, SUIT_functionPointer suiRoutine,
                                       int width, int height, int depth);

extern SUIT_type *si_getType(char *typeName);

extern void si_addChildToObject(SUIT_object, SUIT_object, boolean);

static void MAKE (char *name, char *class, char *parent, boolean interactive) 
{ 
    SUIT_object o = SUIT_name(name); 
    SUIT_object p = SUIT_name(parent); 
    if (p != NULL) {
        if (o == NULL) 
            o = SUIT_createObjectByClass(name, class); 
    	if (interactive) {
    	    SUIT_setBoolean (o, INTERACTIVELY_CREATED, TRUE);
    	    SUIT_makePropertyTemporary (o, INTERACTIVELY_CREATED, OBJECT);
    	}
        si_addChildToObject(SUIT_name(parent), o, FALSE); 
    }
} 
 


static void SET (char *objOrClass, char *propertyName, char *propertyType, boolean atClass,
                 boolean locked, char *stringValue) 
{ 
    SUIT_type	*type; 
    boolean	errorStatus; 
    Pointer	retval; 
    SUIT_level level = OBJECT; 
    SUIT_object o; 
     
    if (atClass) 
        level = CLASS; 
    if (level == CLASS) 
        o = SUIT_dummyObjectInClass(objOrClass); 
    else 
        o = SUIT_name(objOrClass); 
    type = si_getType(propertyType); 
    retval = type->convertFromAscii(stringValue, &errorStatus); 
    if (errorStatus == FALSE) 
	SUIT_setProperty(o, propertyName, propertyType, retval, level); 

    if (locked) 
        SUIT_lockProperty(o, propertyName, level); 
}


static void INIT_suiRoutine(void)
{
/* This line is for parsing simplicity -- do NOT remove it!  @ */
MAKE("file_board","bulletin board","ROOT",0);
MAKE("Save...","button","file_board",1);
MAKE("Load...","button","file_board",1);
MAKE("obj_board","bulletin board","ROOT",0);
MAKE("adddel_butons","radio buttons","obj_board",0);
MAKE("obj_buttons","radio buttons","obj_board",0);
MAKE("net_board","bulletin board","ROOT",0);
MAKE("Go","button","net_board",1);
MAKE("trace","button","net_board",1);
MAKE("do_board","bulletin board","ROOT",0);
MAKE("Refresh","button","do_board",1);
MAKE("Clear","button","do_board",1);
MAKE("toggle_grid","button","do_board",1);
MAKE("actions","bulletin board","ROOT",0);
MAKE("Done","button","actions",1);
MAKE("status_board","bulletin board","ROOT",0);
MAKE("current_status","label","status_board",1);
MAKE("x","label","status_board",1);
MAKE("petri","PetriWidget class","ROOT",0);
MAKE("Petri Net Simulator","label","ROOT",1);
SET("arrow button","border raised","boolean",1,0,"no");
SET("arrow button","changed class","boolean",1,0,"no");
SET("arrow button","darken background","boolean",1,0,"yes");
SET("arrow button","direction","SUIT_enum",1,0,"\"up\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("arrow button","draw filled","boolean",1,0,"no");
SET("arrow button","has background","boolean",1,0,"no");
SET("arrow button","intermediate feedback","boolean",1,0,"no");
SET("arrow button","shadow thickness","int",1,0,"3");
SET("billboard","border raised","boolean",1,0,"no");
SET("billboard","changed class","boolean",1,0,"no");
SET("borderless bulletin board","border raised","boolean",1,0,"no");
SET("borderless bulletin board","changed class","boolean",1,0,"no");
SET("borderless bulletin board","has border","boolean",1,0,"no");
SET("borderless file box","changed class","boolean",1,0,"no");
SET("borderless file box","file filter","text",1,0,"");
SET("borderless file box","has border","boolean",1,0,"no");
SET("bounded value","arrowhead angle","int",1,0,"10");
SET("bounded value","arrowhead length","double",1,0,"0.200000");
SET("bounded value","button background color","GP_color",1,0,"black, black");
SET("bounded value","button foreground color","GP_color",1,0,"grey, white");
SET("bounded value","changed class","boolean",1,0,"no");
SET("bounded value","current value","double",1,0,"0.000000");
SET("bounded value","granularity","double",1,0,"0.000000");
SET("bounded value","has arrow","boolean",1,0,"yes");
SET("bounded value","has tick marks","boolean",1,0,"yes");
SET("bounded value","increase clockwise","boolean",1,0,"yes");
SET("bounded value","minimum value","double",1,0,"0.000000");
SET("bounded value","needle color","GP_color",1,0,"black, black");
SET("bounded value","start angle","double",1,0,"0.000000");
SET("bulletin board","border raised","boolean",1,0,"no");
SET("bulletin board","changed class","boolean",1,0,"no");
SET("bulletin board","interactively created","boolean",1,0,"no");
SET("button","changed class","boolean",1,0,"no");
SET("button","disabled color","GP_color",1,0,"white, white");
SET("button","hotkey","text",1,0,"");
SET("button","interactively created","boolean",1,0,"yes");
SET("button","justification","SUIT_enum",1,0,"\"center\" of {\"left\" \"center\" \"right\"}");
SET("button","shrink to fit","boolean",1,0,"no");
SET("button","shrink_to_fit","boolean",1,0,"no");
SET("color chips","changed class","boolean",1,0,"no");
SET("color chips","chip border","double",1,0,"0.080000");
SET("color chips","has background","boolean",1,0,"no");
SET("color chips","highlight color","GP_color",1,0,"black, black");
SET("CoordTester class","changed class","boolean",1,0,"no");
SET("CoordTester class","current x","double",1,0,"0.000000");
SET("CoordTester class","current y","double",1,0,"0.000000");
SET("CoordTester class","interactively created","boolean",1,0,"no");
SET("dialog box","border type","SUIT_enum",1,0,"\"fancy motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("dialog box","border width","int",1,0,"8");
SET("dialog box","cache using canvas","boolean",1,0,"yes");
SET("dialog box","canvas number","int",1,0,"0");
SET("dialog box","changed class","boolean",1,0,"no");
SET("elevator","border raised","boolean",1,0,"no");
SET("elevator","changed class","boolean",1,0,"no");
SET("elevator","has background","boolean",1,0,"no");
SET("elevator","offset","double",1,0,"0.000000");
SET("elevator","sliding","boolean",1,0,"no");
SET("font panel","border raised","boolean",1,0,"no");
SET("font panel","changed class","boolean",1,0,"no");
SET("font panel","has border","boolean",1,0,"no");
SET("label","changed class","boolean",1,0,"no");
SET("label","font","GP_font",1,0,"times,,12.000000");
SET("label","has border","boolean",1,0,"no");
SET("label","interactively created","boolean",1,0,"yes");
SET("label","justification","SUIT_enum",1,0,"\"center\" of {\"left\" \"center\" \"right\"}");
SET("label","shrink to fit","boolean",1,0,"yes");
SET("list","border raised","boolean",1,0,"no");
SET("list","changed class","boolean",1,0,"no");
SET("list","text spacing","double",1,0,"1.200000");
SET("menu","cache using canvas","boolean",1,0,"yes");
SET("menu","changed class","boolean",1,0,"no");
SET("on/off switch","changed class","boolean",1,0,"no");
SET("on/off switch","disabled color","GP_color",1,0,"white, white");
SET("on/off switch","shrink to fit","boolean",1,0,"yes");
SET("p.e.collection","border raised","boolean",1,0,"no");
SET("p.e.collection","changed class","boolean",1,0,"no");
SET("PetriWidget class","changed class","boolean",1,0,"no");
SET("PetriWidget class","current x","double",1,0,"0.000000");
SET("PetriWidget class","current y","double",1,0,"0.000000");
SET("PetriWidget class","interactively created","boolean",1,0,"no");
SET("place mat","border raised","boolean",1,0,"no");
SET("place mat","changed class","boolean",1,0,"no");
SET("property editor","border raised","boolean",1,0,"no");
SET("property editor","changed class","boolean",1,0,"no");
SET("property list","border raised","boolean",1,0,"no");
SET("property list","changed class","boolean",1,0,"no");
SET("property list","text spacing","double",1,0,"1.500000");
SET("radio buttons","changed class","boolean",1,0,"no");
SET("radio buttons","current value","SUIT_enum",1,0,"\"default value\" of {\"default value\"}");
SET("radio buttons","interactively created","boolean",1,0,"no");
SET("scrollable list","border raised","boolean",1,0,"no");
SET("scrollable list","changed class","boolean",1,0,"no");
SET("scrollable list","has background","boolean",1,0,"no");
SET("scrollable list","has border","boolean",1,0,"no");
SET("scrollable property list","border raised","boolean",1,0,"no");
SET("scrollable property list","changed class","boolean",1,0,"no");
SET("scrollable property list","has background","boolean",1,0,"no");
SET("scrollable property list","has border","boolean",1,0,"no");
SET("stacker","changed class","boolean",1,0,"no");
SET("stacker","shrink to fit","boolean",1,0,"yes");
SET("type in box","any keystroke triggers","boolean",1,0,"no");
SET("type in box","backward char key","text",1,0,"C-b");
SET("type in box","beginning of line key","text",1,0,"C-a");
SET("type in box","beginning of text key","text",1,0,"M-<");
SET("type in box","border raised","boolean",1,0,"no");
SET("type in box","calculate lines","boolean",1,0,"no");
SET("type in box","changed class","boolean",1,0,"no");
SET("type in box","cursor color","GP_color",1,0,"black, black");
SET("type in box","cursor index","int",1,0,"0");
SET("type in box","cursor style","SUIT_enum",1,0,"\"vertical bar\" of {\"i-beam\" \"vertical bar\"}");
SET("type in box","delete char key","text",1,0,"C-d");
SET("type in box","delete entire line key","text",1,0,"C-u");
SET("type in box","done editing key","text",1,0,"C-x");
SET("type in box","double click time","double",1,0,"400000.000000");
SET("type in box","end of line key","text",1,0,"C-e");
SET("type in box","end of text key","text",1,0,"M->");
SET("type in box","forward char key","text",1,0,"C-f");
SET("type in box","has a tab","boolean",1,0,"no");
SET("type in box","highlight block","boolean",1,0,"no");
SET("type in box","input sequence","text",1,0,"");
SET("type in box","kill line key","text",1,0,"C-k");
SET("type in box","last click time","double",1,0,"0.000000");
SET("type in box","last mark index","int",1,0,"0");
SET("type in box","mark end index","int",1,0,"0");
SET("type in box","mark index","int",1,0,"0");
SET("type in box","newline key","text",1,0,"C-m");
SET("type in box","next line key","text",1,0,"C-n");
SET("type in box","open line key","text",1,0,"C-o");
SET("type in box","pre cursor index","int",1,0,"0");
SET("type in box","previous line key","text",1,0,"C-p");
SET("type in box","repaint key","text",1,0,"C-l");
SET("type in box","scroll down key","text",1,0,"M-v");
SET("type in box","scroll up key","text",1,0,"C-v");
SET("type in box","set mark key","text",1,0,"C-`");
SET("type in box","shrink to fit","boolean",1,0,"yes");
SET("type in box","spacing gap","int",1,0,"3");
SET("type in box","start x","int",1,0,"0");
SET("type in box","start y","double",1,0,"0.000000");
SET("type in box","tab key","text",1,0,"C-i");
SET("type in box","tab length","int",1,0,"5");
SET("type in box","wipe block key","text",1,0,"C-w");
SET("type in box","yank key","text",1,0,"C-y");
SET("ROOT","animated","boolean",0,0,"no");
SET("ROOT","background color","GP_color",0,0,"grey, white");
SET("ROOT","border color","GP_color",0,0,"grey, black");
SET("ROOT","border raised","boolean",0,0,"yes");
SET("ROOT","border type","SUIT_enum",0,0,"\"motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("ROOT","border width","int",0,0,"2");
SET("ROOT","changed class","boolean",0,0,"no");
SET("ROOT","clip to viewport","boolean",0,0,"yes");
SET("ROOT","default object height","int",0,0,"80");
SET("ROOT","default object width","int",0,0,"80");
SET("ROOT","draw border on inside","boolean",0,0,"no");
SET("ROOT","font","GP_font",0,0,"times,,12.000000");
SET("ROOT","foreground color","GP_color",0,0,"black, black");
SET("ROOT","has background","boolean",0,0,"yes");
SET("ROOT","has border","boolean",0,0,"yes");
SET("ROOT","margin","int",0,0,"5");
SET("ROOT","show temporary properties","boolean",0,0,"no");
SET("ROOT","shrink to fit","boolean",0,0,"no");
SET("ROOT","springiness","SUIT_springiness",0,0,"63");
SET("ROOT","SUIT system font","GP_font",0,0,"helvetica,,14.000000");
SET("ROOT","viewport","viewport",0,1,"0 0 605 547");
SET("ROOT","visible","boolean",0,0,"yes");
SET("ROOT","window","window",0,1,"0.000000 0.000000 1.000000 1.000000");
SET("file_board","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("file_board","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("file_board","viewport","viewport",0,0,"5 160 100 220");
SET("Save...","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Save...","border raised","boolean",0,0,"yes");
SET("Save...","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Save...","disabled","boolean",0,0,"no");
SET("Save...","has background","boolean",0,0,"yes");
SET("Save...","label","text",0,0,"Save...");
SET("Save...","viewport","viewport",0,0,"8 34 87 51");
SET("Load...","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Load...","border raised","boolean",0,0,"yes");
SET("Load...","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Load...","disabled","boolean",0,0,"no");
SET("Load...","has background","boolean",0,0,"yes");
SET("Load...","label","text",0,0,"Load...");
SET("Load...","viewport","viewport",0,0,"8 8 87 26");
SET("obj_board","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("obj_board","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("obj_board","viewport","viewport",0,0,"5 293 100 426");
SET("adddel_butons","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("adddel_butons","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("adddel_butons","shrink to fit","boolean",0,0,"no");
SET("adddel_butons","viewport","viewport",0,0,"2 82 93 133");
SET("obj_buttons","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("obj_buttons","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("obj_buttons","shrink to fit","boolean",0,0,"no");
SET("obj_buttons","viewport","viewport",0,0,"2 2 93 76");
SET("net_board","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("net_board","border raised","boolean",0,0,"no");
SET("net_board","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("net_board","viewport","viewport",0,0,"5 230 100 286");
SET("Go","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Go","border raised","boolean",0,0,"yes");
SET("Go","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Go","disabled","boolean",0,0,"no");
SET("Go","has background","boolean",0,0,"yes");
SET("Go","label","text",0,0,"Execute Net");
SET("Go","viewport","viewport",0,0,"7 31 86 50");
SET("trace","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("trace","border raised","boolean",0,0,"yes");
SET("trace","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("trace","disabled","boolean",0,0,"no");
SET("trace","has background","boolean",0,0,"yes");
SET("trace","label","text",0,0,"Trace Net");
SET("trace","viewport","viewport",0,0,"7 3 86 24");
SET("do_board","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("do_board","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("do_board","viewport","viewport",0,0,"5 71 100 151");
SET("Refresh","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Refresh","border raised","boolean",0,0,"yes");
SET("Refresh","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Refresh","disabled","boolean",0,0,"no");
SET("Refresh","has background","boolean",0,0,"yes");
SET("Refresh","label","text",0,0,"Refresh");
SET("Refresh","shrink to fit","boolean",0,0,"no");
SET("Refresh","viewport","viewport",0,0,"7 3 88 22");
SET("Clear","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Clear","border raised","boolean",0,0,"yes");
SET("Clear","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Clear","disabled","boolean",0,0,"no");
SET("Clear","has background","boolean",0,0,"yes");
SET("Clear","label","text",0,0,"Clear");
SET("Clear","viewport","viewport",0,0,"7 31 88 48");
SET("toggle_grid","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("toggle_grid","border raised","boolean",0,0,"yes");
SET("toggle_grid","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("toggle_grid","disabled","boolean",0,0,"no");
SET("toggle_grid","has background","boolean",0,0,"yes");
SET("toggle_grid","label","text",0,0,"Grid");
SET("toggle_grid","viewport","viewport",0,0,"7 56 88 76");
SET("actions","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("actions","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("actions","viewport","viewport",0,0,"5 6 101 53");
SET("Done","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Done","border raised","boolean",0,0,"yes");
SET("Done","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Done","disabled","boolean",0,0,"no");
SET("Done","done callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Done","font","GP_font",0,0,"new century schoolbook,,18.000000");
SET("Done","has background","boolean",0,0,"yes");
SET("Done","label","text",0,0,"EXIT");
SET("Done","viewport","viewport",0,0,"9 4 91 42");
SET("status_board","active display","SUIT_enum",0,0,"\"bulletin board\" of {\"bulletin board\"}");
SET("status_board","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("status_board","viewport","viewport",0,0,"5 435 100 486");
SET("current_status","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("current_status","background color","GP_color",0,0,"black, black");
SET("current_status","border raised","boolean",0,0,"no");
SET("current_status","foreground color","GP_color",0,0,"white, white");
SET("current_status","has border","boolean",0,0,"yes");
SET("current_status","shrink to fit","boolean",0,0,"no");
SET("current_status","viewport","viewport",0,0,"2 7 95 28");
SET("x","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("x","font","GP_font",0,0,"new century schoolbook,,18.000000");
SET("x","label","text",0,0,"status");
SET("x","viewport","viewport",0,0,"20 26 79 56");
SET("petri","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("petri","current x","double",0,0,"0.068826");
SET("petri","current y","double",0,0,"0.904762");
SET("petri","viewport","viewport",0,0,"108 3 602 486");
SET("Petri Net Simulator","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Petri Net Simulator","font","GP_font",0,0,"charter,,24.000000");
SET("Petri Net Simulator","label","text",0,0,"Petri Net Simulator");
SET("Petri Net Simulator","viewport","viewport",0,0,"218 498 438 538");


} /* end of INIT_suiRoutine */



void SUIT_initFromCode (char *programName)
{
    SUIT_interiorInitFromCode (programName, INIT_suiRoutine, THE_SCREEN_WIDTH,
                               THE_SCREEN_HEIGHT, THE_SCREEN_DEPTH);
}
